=== debian/changelog ===
rb-gsl (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  9 Mar 2006 10:47:11 +0900

rb-gsl (1.6.2-2) unstable; urgency=low

  * Include NArray extension.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Mar 2005 13:04:29 +0900

rb-gsl (1.6.2-1) unstable; urgency=low

  * Initial Release.

 -- Odaka Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Mar 2005 09:57:46 +0900
