=== debian/control ===
Source: rb-gsl
Section: math
Priority: optional
Maintainer: Odaka Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0), libgsl0-dev (>=1.6-2)
Standards-Version: 3.5.2

Package: rb-gsl
Architecture: i386
Depends: ${shlibs:Depends}, ruby (>=1.8.2-1), gsl-bin (>=1.6-2), ruby-narray (>=0.5.7), ruby-narray-dev (>=0.5.7) 
Recommends: plotutils
Description: Ruby/GSL, a ruby interface to GSL (GNU Scientific library).
 Ruby/GSL is a ruby interface to GSL (GNU Scientific library).

Package: rb-gsl-doc
Architecture: all
Description: Documentation for rb-gsl
 Documentation for rb-gsl. Ruby/GSL is a ruby interface to GSL (GNU Scientific library).
